#
# Conditional build:
%bcond_without	wxwidgets	# wxWidgets based analyzer

Summary:	Royalty-free next-generation video format
Summary(pl.UTF-8):	Format wideo nowej generacji bez opłat licencyjnych
Name:		aom
Version:	2.0.1
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://aomedia.googlesource.com/aom/
# tarball is recreated with different md5 on each download
#Source0:	https://aomedia.googlesource.com/aom/+archive/v%{version}.tar.gz?fake=/%{name}-%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	65026b04d1e02d8b163e863cc2555416
URL:		https://aomedia.org/
BuildRequires:	cmake >= 3.5
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	sed >= 4.0
%{?with_wxwidgets:BuildRequires:	wxGTK3-unicode-devel}
BuildRequires:	yasm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Alliance for Open Media's focus is to deliver a next-generation
video format that is:
- Interoperable and open;
- Optimized for the Internet;
- Scalable to any modern device at any bandwidth;
- Designed with a low computational footprint and optimized for
  hardware;
- Capable of consistent, highest-quality, real-time video delivery;
  and
- Flexible for both commercial and non-commercial content, including
  user-generated content.

%description -l pl.UTF-8
Celem Alliance for Open Media jest dostarczenie nowej generacji
formatu wideo, który jest:
- interoperacyjny i otwarty
- zoptymalizowany dla Internetu
- skalowalny na dowolne współczesne urządzenie przy dowolnym paśmie
- zaprojektowany z myślą o małym narzucie obliczeniowym,
  zoptymalizowany dla sprzętu
- umożliwiający spójne udostępnianie wysokiej jakości obrazu w czasie
  rzeczywistym
- elastyczny zarówno dla treści komercyjnych, jak i niekomercyjnych, w
  tym wygenerowanych przez użytkownika.

%package devel
Summary:	Development files for AOM
Summary(pl.UTF-8):	Pliki programistyczne AOM
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for AOM the royalty-free next-generation video
format.

%description devel -l pl.UTF-8
Pliki programistyczne AOM - formatu obrazu nowej generacji, bez opłat
licencyjnych.

%package static
Summary:	Static AOM library
Summary(pl.UTF-8):	Statyczna biblioteka AOM
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static AOM library.

%description static -l pl.UTF-8
Statyczna biblioteka AOM.

%package apidocs
Summary:	API documentation for AOM library
Summary(pl.UTF-8):	Dokumentacja API biblioteki AOM
Group:		Documentation
%{?noarchpackage}

%description apidocs
API documentation for AOM library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki AOM.

%package gui
Summary:	Graphical analyzer for AOM
Summary(pl.UTF-8):	Graficzny analizator formatu AOM
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description gui
Graphical analyzer for AOM.

%description gui -l pl.UTF-8
Graficzny analizator formatu AOM.

%prep
%setup -qc

%build
install -d builddir
cd builddir
# build/cmake/aom_install.cmake and .pc creation expect relative ..._{BINDIR,INCLUDEDIR,LIBDIR}
%cmake .. \
	-DCMAKE_INSTALL_BINDIR:PATH=bin \
	-DCMAKE_INSTALL_INCLUDEDIR:PATH=include \
	-DCMAKE_INSTALL_LIBDIR:PATH=%{_lib} \
%ifnarch aarch64 %{arm} %{ix86} %{x8664}
	-DAOM_TARGET_CPU=generic \
%endif
%ifarch %{arm}
	-DAOM_TARGET_CPU=arm \
%endif
%ifarch aarch64
	-DAOM_TARGET_CPU=arm64 \
%endif
%ifarch %{ix86}
	-DAOM_TARGET_CPU=x86 \
%endif
%ifarch %{x8664}
	-DAOM_TARGET_CPU=x86_64 \
%endif
	-DCMAKE_SKIP_RPATH=1 \
	%{?with_wxwidgets:-DCONFIG_ANALYZER=1} \
	-DCONFIG_WEBM_IO=1 \
	-DENABLE_CCACHE=1 \
	-DENABLE_DOCS=1 \
	-DwxWidgets_CONFIG_EXECUTABLE=/usr/bin/wx-gtk3-unicode-config

%{__make}


%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C builddir install \
	DESTDIR=$RPM_BUILD_ROOT

%{?with_wxwidgets:install -p builddir/examples/analyzer $RPM_BUILD_ROOT%{_bindir}/aomanalyzer}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG LICENSE PATENTS README.md
%attr(755,root,root) %{_bindir}/aomdec
%attr(755,root,root) %{_bindir}/aomenc
%attr(755,root,root) %{_libdir}/libaom.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaom.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaom.so
%{_includedir}/aom
%{_pkgconfigdir}/aom.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libaom.a

%files apidocs
%defattr(644,root,root,755)
%doc builddir/docs/html/*

%if %{with wxwidgets}
%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aomanalyzer
%endif
%changelog
* Sun Jan 10 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/aom.git;a=log;h=master

* Sun Jan 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 7f57dbd
- updated to 2.0.1

* Sat Oct 31 2020 Jakub Bogusz <qboosh@pld-linux.org> 9f00df2
- added download URL with tags list

* Sun Jul 05 2020 Jakub Bogusz <qboosh@pld-linux.org> cd72aff
- fix md5 location

* Sun Jul 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 203056d
- updated to 2.0.0 (new soname)
- removed obsolete build patch
- added -static (built unconditionally)

* Sat Apr 27 2019 Jakub Bogusz <qboosh@pld-linux.org> 2650530
- fix versioning in .pc file, release 2

* Thu Apr 04 2019 Jakub Bogusz <qboosh@pld-linux.org> 6db6891
- use dropin

* Thu Apr 04 2019 Jakub Bogusz <qboosh@pld-linux.org> 8882850
- updated to 1.0.0-errata1
- PLDified, moved aomanalyzer to -gui subpackage

* Sun Nov 18 2018 Jan Palus <atler@pld-linux.org> 827c9cc
- add hack to workaround moronic version detection; rel 2

* Fri Aug 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a09e15e
- md5 changes at every fetch

* Fri Aug 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 196f2aa
-  and spec

* Fri Aug 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 86941ea
- initial; AV1 codec - better than VP9

